
package datos;

import encapsuladores.Correo;
import encapsuladores.SistemaArchivos;
import java.io.IOException;
import org.jdom2.Document;
import org.jdom2.Element;
import org.jdom2.JDOMException;
import org.jdom2.input.SAXBuilder;

public class RepositorioXML {

    public Object[] cargar() throws JDOMException, IOException {
        
        Object[] repositorio = new Object[2];
        
        // Document document = new SAXBuilder().build("D:\\Java_XML\\Repositorio.xml");
        // Document document = new SAXBuilder().build("xml\\Repositorio.xml");    
        Document document = new SAXBuilder().build("xml/Repositorio.xml");      // xml es un directorio en el raiz del Proyecto
        Element raiz = document.getRootElement();
                       
        Element elementCorreo = raiz.getChild("CORREO");
        Correo correo = new Correo();      
        correo.setServidorSMTP(elementCorreo.getChild("SERVIDOR_SMTP").getText());
        correo.setPuertoSMTP(elementCorreo.getChild("PUERTO_SMTP").getText());
        correo.setServidorPOP3(elementCorreo.getChild("SERVIDOR_POP3").getText());
        correo.setPuertoPOP3(elementCorreo.getChild("PUERTO_POP3").getText());
        correo.setCuentaRemitente(elementCorreo.getChild("CUENTA_REMITENTE").getText());
        correo.setPasswordRemitente(elementCorreo.getChild("PASSWORD_REMITENTE").getText());
        correo.setCuentaDestinataria(elementCorreo.getChild("CUENTA_DESTINATARIA").getText());
        correo.setPasswordDestinataria(elementCorreo.getChild("PASSWORD_DESTINATARIA").getText());   
        
        repositorio[0] = correo;
                
        Element elementSistemaArchivos = raiz.getChild("SISTEMA_ARCHIVOS");  
        SistemaArchivos sistemaArchivos = new SistemaArchivos();
        sistemaArchivos.setRutaCreacion(elementSistemaArchivos.getChild("RUTA_CREACION").getText());
        sistemaArchivos.setRutaDescarga(elementSistemaArchivos.getChild("RUTA_DESCARGA").getText());
        
        repositorio[1] = sistemaArchivos;
            
       return repositorio;
    }          
}
